For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityAPI StatusAPI PricingSign Up
DocumentationAPI ReferencesCookbook
DocumentationAPI ReferencesCookbook
  • API Reference
    • Introduction
    • Authentication
    • Access to Beta APIs
    • Meta Prompt Guide
  • Endpoints
      • POSTREST
      • WSSWebSocket
      • POSTBatch - Initiate Job
      • POSTBatch - Upload Files
      • POSTBatch - Start Job
      • GETBatch - Get Status
      • POSTBatch - Download Results
LogoLogo
CommunityAPI StatusAPI PricingSign Up
EndpointsSpeech to Text Translate

Batch - Initiate Job

POST
https://api.sarvam.ai/speech-to-text-translate/job/v1
POST
/speech-to-text-translate/job/v1
$curl -X POST https://api.sarvam.ai/speech-to-text-translate/job/v1 \
> -H "api-subscription-key: <apiSubscriptionKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "job_parameters": {}
>}'
1{
2 "job_id": "a3f1c9e2-7b4d-4f8a-9d3e-2b5f6c7d8e9f",
3 "storage_container_type": "Azure",
4 "job_parameters": {},
5 "job_state": "Accepted"
6}

Create a new speech to text translate bulk job and receive a job UUID and storage folder details for processing multiple audio files with translation. Set job_parameters.input_audio_codec when uploads are raw PCM (pcm_s16le, pcm_l16, or pcm_raw); the API auto-detects other formats. PCM must be 16 kHz.

Was this page helpful?
Previous

Batch - Upload Files

Next
Built with

Authentication

api-subscription-keystring
API Key authentication via header

Headers

api-subscription-keystringOptionalDefaults to
Your unique subscription key for authenticating requests to the Sarvam AI Speech-to-Text API. [Here are the steps to get your api key](https://docs.sarvam.ai/api-reference-docs/authentication#obtaining-your-api-subscription-key)

Query parameters

ptu_idinteger or nullOptional

Request

This endpoint expects an object.
job_parametersobjectRequired
Job Parameters for the bulk job
callbackobject or nullOptional
Parameters for callback URL

Response

Successful Response
job_idstring
Job UUID.
storage_container_typeenum
Storage Container Type
Allowed values:
job_parametersobject
job_stateenum
Allowed values:

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error

Your unique subscription key for authenticating requests to the Sarvam AI Speech-to-Text API. Here are the steps to get your api key